DVI2TTY(Local)

NAME
dvi2tty - preview a dvi-file on an ordinary ascii terminal

SYNOPSIS
dvi2tty [ options ] dvi-file

DESCRIPTION
dvi2tty converts a TeX DVI-file to a format that is apprporiate for terminals and lineprinters. The program is intended to be used for preliminary proofreading of TeX-ed documents. By default the output is directed to the terminal, possibly through a pager (depending on how the program was installed), but it can be directed to a file or a pipe.

The output leaves much to be desired, but is still usefull if you want to avoid walking to the laserprinter (or whatever) for each iteration of your document.
Since dvi2tty produces output for terminals and lineprinters the representation of documents is naturally quite primitive. Fontchanges are totally ignored, which implies that special symbols, such as mathematical symbols, get mapped into the characters at the corresponding positions in the "standard" fonts.

If the width of the output text requires more columns than fits in one line (c.f. the -w option) it is broken into several lines by dvi2tty although they will be printed as one line on regular TeX output devices (e.g. laserprinters). To show that a broken line is really just one logical line an asterisk (``*'') in the last position means that the logical line is continued on the next physical line output by dvi2tty. Such a continuation line is started with a a space and an asterisk in the first two columns.

Options may be specified in the environment variable DVI2TTY. Any option on the commandline, conflicting with one in the environment, will override the one from the environment.

Options:

-o file
    Write output to file ``file''.

-p list
    Print the pages chosen by list. Numbers refer to TeX-page numbers (known as \count0). An example of format for list is ``1,3:6,8'' to choose pages 1, 3 through 6 and 8. Negative numbers can be used exactly as in TeX, e g -1 comes before -4 as in ``-p-1:-4,17''.

-P list
    Like -p except that page numbers refer to the sequential ordering of the pages in the dvi-file. Negative numbers don't make a lot of sense here...

-w n
    Specify terminal width n. Legal range 16-132. Default is 80. If your terminal has the ability to display in 132 columns it might be a good idea to use -w132 and toggle the terminal into this mode as output will probably look somewhat better.

-q  Don't pipe the output through a pager. This may be the default on some systems (depending on the whims of the SA installing the program).

-f  Pipe through a pager, $PAGER if defined, or whatever your SA compiled in (often ``more''). This may be the default, but it is still okay to redirect output with ``>'', the pager will not be used if output is not going to a terminal.

-F  Specify the pager program to be used. This overides the $PAGER and the default pager.

-Fprog
    Use ``prog'' as program to pipe output into. Can be used to choose an alternate pager (e g ``-Fless'').

-l  Mark pagebreaks with the two-character sequence ``^L''. The default is to mark them with a formfeed character.

-u  Don't make any attempts to find special Scandinavian characters. If such characters are in the text they will map to ``a'' and ``o''. This is probably the default outside of Scandinavia. (The SA made the decision when the program was installed.)

-s  Try to find the special Scandinavian characters that on most (?) terminals in Scandinavia are mapped to ``{|}[\]''. This can be the default, and output from files not containing these special characters will be identical regardless of this option.

FILES
/usr/ucb/more probably the default pager.

ENVIRONMENT
PAGER the pager to use.
DVI2TTY can be set to hold commandline options.

SEE ALSO
TeX, dvi2ps

AUTHOR
Svante Lindahl, Royal Institute of Technology, Stockholm
Improved C version: Marcel Mol
{seismo, mcvax}!enea!ttds!zap
marcel@duteca.UUCP

BUGS
Blanks between words get lost quite easy. This is less likely if you are using a wider output than the default 80.

Only one file may be specified on the commandline.